[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1230 - in trunk: . kfreebsd-common/debian



Author: rmh
Date: 2006-02-17 18:15:42 +0000 (Fri, 17 Feb 2006)
New Revision: 1230

Added:
   trunk/kfreebsd-common/
   trunk/kfreebsd-common/debian/init.d
Removed:
   trunk/kfreebsd-config/
Modified:
   trunk/kfreebsd-common/debian/changelog
   trunk/kfreebsd-common/debian/control
   trunk/kfreebsd-common/debian/postinst
   trunk/kfreebsd-common/debian/rules
Log:
  * Rename to kfreebsd-common.
  * init.d: New. Fix /dev permissions on startup.

Copied: trunk/kfreebsd-common (from rev 1229, trunk/kfreebsd-config)

Modified: trunk/kfreebsd-common/debian/changelog
===================================================================
--- trunk/kfreebsd-config/debian/changelog	2006-02-17 16:29:55 UTC (rev 1229)
+++ trunk/kfreebsd-common/debian/changelog	2006-02-17 18:15:42 UTC (rev 1230)
@@ -1,10 +1,13 @@
-kfreebsd-config (0.0.5) UNRELEASED; urgency=low
+kfreebsd-common (0.1.0) unreleased; urgency=low
 
+  * Rename to kfreebsd-common.
+  * init.d: New. Fix /dev permissions on startup.
+
   * templates:  Improve/update the descriptions.
   * control (Depends):  Add kfreebsd-image (needed for kldload).
   * postinst:  In get_modules(), return safely if module list does not exist.
 
- -- Robert Millan <rmh@aybabtu.com>  Tue, 15 Nov 2005 09:58:41 +0100
+ -- Robert Millan <rmh@aybabtu.com>  Fri, 17 Feb 2006 18:45:55 +0100
 
 kfreebsd-config (0.0.4) unreleased; urgency=low
 

Modified: trunk/kfreebsd-common/debian/control
===================================================================
--- trunk/kfreebsd-config/debian/control	2006-02-17 16:29:55 UTC (rev 1229)
+++ trunk/kfreebsd-common/debian/control	2006-02-17 18:15:42 UTC (rev 1230)
@@ -1,13 +1,15 @@
-Source: kfreebsd-config
+Source: kfreebsd-common
 Section: base
 Priority: required
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Build-Depends: cdbs, debhelper (>= 4.1.0)
 Standards-Version: 3.6.1
 
-Package: kfreebsd-config
-Architecture: kfreebsd-i386
+Package: kfreebsd-common
+Architecture: kfreebsd-i386 kfreebsd-amd64
 Depends: debconf, kldutils (>= 5.4-5), kfreebsd-image
-Description: kFreeBSD module configuration package
- This package contains debconf templates that handle automated loading of your
- selected kFreeBSD modules during boot, via the /etc/modules.d/ interface.
+Conflicts: kfreebsd-config
+Replaces: kfreebsd-config
+Description: kFreeBSD common setup
+ This package contains common setup routines that affect any (or most) versions
+ of kFreeBSD.

Added: trunk/kfreebsd-common/debian/init.d
===================================================================
--- trunk/kfreebsd-config/debian/init.d	2006-02-17 16:29:55 UTC (rev 1229)
+++ trunk/kfreebsd-common/debian/init.d	2006-02-17 18:15:42 UTC (rev 1230)
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# skeleton	example file to build /etc/init.d/ scripts.
+#		This file should be used to construct scripts for /etc/init.d.
+#
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+#		Modified for Debian 
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+# Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+set -e
+
+echo -n "Setting up /dev permissions..."
+
+# only do this during boot, to avoid messing up ttys
+if [ "$RUNLEVEL" = "S" ] ; then
+  chown root:root /dev/*
+fi
+
+for i in /dev/dsp{,[0-9]} /dev/mixer{,[0-9]} /dev/audio{,ctl,[0-9]} ; do
+  if test -e $i ; then
+    chgrp audio $i
+  fi
+done
+for i in /dev/{,a}cd[0-9] ; do
+  if test -e $i ; then
+    chgrp cdrom $i
+  fi
+done
+for i in /dev/console /dev/ptyp[0-9] ; do
+  if test -e $i ; then
+    chgrp tty $i
+  fi
+done
+for i in /dev/fd[0-9] ; do
+  if test -e $i ; then
+    chgrp floppy $i
+  fi
+done
+for i in /dev/ad[0-9]* ; do
+  if test -e $i ; then
+    chgrp disk $i
+  fi
+done
+for i in /dev/{,k}mem ; do
+  if test -e $i ; then
+    chgrp kmem $i
+  fi
+done
+for i in /dev/lpt[0-9]* ; do
+  if test -e $i ; then
+    chgrp lp $i
+  fi
+done
+for i in /dev/cuaa[0-9] ; do
+  if test -e $i ; then
+    chgrp dialout $i
+  fi
+done
+
+echo "done."
+
+exit 0

Modified: trunk/kfreebsd-common/debian/postinst
===================================================================
--- trunk/kfreebsd-config/debian/postinst	2006-02-17 16:29:55 UTC (rev 1229)
+++ trunk/kfreebsd-common/debian/postinst	2006-02-17 18:15:42 UTC (rev 1230)
@@ -21,7 +21,7 @@
 
 get_modules ()
   {
-    test -e /etc/modules.d/kfreebsd-config || return
+    test -e /etc/modules.d/kfreebsd-config || return 0
     sed -e "s/#.*//g" -e "/^\( \|\t\)*$/d" /etc/modules.d/kfreebsd-config \
       | tr "\n" ":" | sed -e "s/ /:/g" -e "s/^://g" -e s/:$//g -e "s/::*/:/g"
   }

Modified: trunk/kfreebsd-common/debian/rules
===================================================================
--- trunk/kfreebsd-config/debian/rules	2006-02-17 16:29:55 UTC (rev 1229)
+++ trunk/kfreebsd-common/debian/rules	2006-02-17 18:15:42 UTC (rev 1230)
@@ -2,4 +2,6 @@
 # Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
 # This file is public domain.
   
+DEB_DH_INSTALLINIT_ARGS		:= --no-start --update-rcd-params="start 20 S ."
+
 include /usr/share/cdbs/1/rules/debhelper.mk



Reply to: